Redmine - Patch #28510

Show issue assignee gravatar in roadmap and version page
2018-04-09 13:22 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Roadmap Estimated time: 0.00 hour
Target version: 4.1.0

Description

I'm trying to make the roadmap and version page more useful for the users. | believe that this module should be one of the most
important modules from Redmine, but currently it does provide only some basic features or information (from my/our users point of
view).

A first improvement that is quite small and easy to add is the issue assignee gravatar.

On mouse over the image, the assignee name is shown under the format ("Assignee: assignee name" - for eg: "Assignee: David
Loper").

Some screenshots:

roadmap.png

version.png
PS: After/if this patch is committed, we can use this new title format also for author/assignee avatars in the issue page instead of the
one added in #26689.

Related issues:

Related to Redmine - Patch #31964: VersionsControllerTest#test_show randomly ... Closed
Related to Redmine - Feature #31704: Show Gravatar icon in issues list. New
Has duplicate Redmine - Patch #31752: Show assigned people when displaying ti... Reopened

Associated revisions

Revision 18189 - 2019-05-22 10:32 - Go MAEDA

Show assignee avatar in Roadmap and Version (#28510).

Patch by Marius BALTEANU.

Revision 18406 - 2019-08-28 06:17 - Go MAEDA
VersionsControllerTest#test_show randomly fails (#31964, #28510).

Patch by Yuichi HARADA.

History

#1 - 2018-04-10 13:03 - Bernhard Rohloff
Marius BALTEANU wrote:

I'm trying to make the roadmap and version page more useful for the users. | believe that this module should be one of the most important
modules from Redmine, but currently it does provide only some basic features or information (from my/our users point of view).

| totally agree with you that the Roadmap module is one of Redmine's most serious modules and there's a lot of 'untouched' potential in it. If you have
any kind of concept/vision for it, it would be great if we could have a glance/discussion on it. Maybe in the forums or somewhere else.

A first improvement that is quite small and easy to add is the issue assignee gravatar.

I think it's a good improvement for the issues list. | personally would prefer to have the icon on the left side besides the issues name. On widescreen
monitors the distance between the both sides of the table becomes rather huge and there's much empty space in between. Often this makes it hard
for me to correlate the content on both sides with each other.
#2 - 2018-04-23 21:45 - Marius BALTEANU

Bernhard Rohloff wrote:

... If you have any kind of concept/vision for it, it would be great if we could have a glance/discussion on it. Maybe in the forums or somewhere
else.

Yes, I've something in mind, but | want to make a screen to discuss on it.

#3 - 2018-04-24 06:04 - Akipii Oga

+1

| think that the feature of the roadmap should be improved further.

Because the feature of the roadmap is directly linked to the operation of agile development.
| think that it is better for Redmine to get closer to agile development.

#4 - 2018-04-24 06:16 - Bernhard Rohloff
Marius BALTEANU wrote:

Yes, I've something in mind, but | want to make a screen to discuss on it.

Cool! I'm looking forward to see the results. :-)

#5 - 2019-02-07 07:22 - Go MAEDA
- File gantt-icons.png added

| think it is better to add an icon to the left side of the tracker name because gantt already shows gravatar icons like that.

Here is a screenshot of gantt. tiket.png is displayed when gravatar is disabled or no one is assigned to the issue.

eCookbook
B : Closed issue
?ic Bug #7: Issue due today
Bug #36: test
Bug #37: test2

#6 - 2019-04-10 03:36 - Mizuki ISHIKAWA

+1

#7 - 2019-05-05 18:37 - Takenori TAKAKI
- File 28510.patch added

+1

As Marius says, adding Gravatar will be a simple and useful Ul improvement. | have always felt that | could confirm assigne on the version page.
As for placement, | agree with Mr. Maeda's suggestion.
| made a patch to display the avatar on the left side of the tracker name, and attache it.

#8 - 2019-05-06 03:42 - Go MAEDA
- File version-gravatar-enabled@2x.png added
- File version-gravatar-disabled@2x.png added
- Assignee set to Marius BALTEANU

- Target version set to Candidate for next major release

Takenori TAKAKI wrote:

I made a patch to display the avatar on the left side of the tracker name, and attache it.
Looks nice. Thanks.
Marius, what do you think about this patch?

[Gravatar enabled]
No avagar icon for issues without an assignee (Issue 1 and 12).

Roadmap
1.0

Due in 12 days (05/18/2019)

Stable release

5 issues (1 closed — 4 open)

Related issues

Bug #1: Cannot print recipes
% Bug #3: Error 281 when updating a recipe
@ Bug #7: Issue due today
: Closed issue on a locked version
¥ Feature request #2: Add ingredients categories

Gravatar disabled]
Roadmap
1.0

Due in 12 days (05/18/2019)

Stable release

5 issues (1 closed — 4 open)

Related issues

Bug #1: Cannot print recipes
Bug #3: Error 281 when updating a recipe
Bug #7: Issue due today
: Closed issue on a locked version
Feature request #2: Add ingredients categories

#9 - 2019-05-06 22:47 - Marius BALTEANU
- File assignee_first.png added

| think we should take more feedback from users because displaying the ticket image ('icon-issue') to all unassigned issues is not a relevant
information from my point of view. | already know that inside a version, all entries are issues. In gantt, it makes a little bit more sense because there

the content is mixed (projects, versions, issues). The same is in the activity page where the content is mixed and the icons are used to make a visual
difference.

Also, thinking at the near future and gantt, when the users will have the possibility to select the columns (#27672), maybe it'll be better to remove the
avatar from issue's subject.

If you really want to show the assignee first, | think | prefer to not have any icon for unassigned issues:
assignee_first.png

But again, this is just my opinion according to my tastes and how | understand that ticket image.

Regarding the proposed patch, | think we can slightly improve the code.

#10 - 2019-05-07 07:33 - Go MAEDA
Marius BALTEANU wrote:

If you really want to show the assignee first, | think | prefer to not have any icon for unassigned issues:
assignee_first.png
The design is also OK for me. | agree with your opinion that ticket icons don't provide any useful information in this context.

#11 - 2019-05-18 15:41 - Marius BALTEANU
- File 0001-Show-assignee-avatar-in-Roadmap-and-Version.patch added

- Assignee changed from Marius BALTEANU to Go MAEDA
Here is the updated patch that can be applied after #31391 is committed.

#12 - 2019-05-20 17:11 - Go MAEDA

- File uneven-issues@2x.png added
Marius BALTEANU wrote:

Here is the updated patch that can be applied after #31391 is committed.

The patch works fine but | prefer the layout of assignee_first.png is better the layout of the latest patch because the start position of tracker names is
not aligned with the patch applied.

BEIZFTv b
: Closed issue on a locked version
Feature request #2: Add ingredients categories

#13 - 2019-05-21 09:15 - Takenori TAKAKI

To specify the style of the list element,
How about making the following small changes to the Mariu's patch?

diff --git a/app/views/versions/index.html.erb b/app/views/versions/index.html.erb
index 856ee69ea..4bd61b97b 100644

-—- a/app/views/versions/index.html.erb

+++ b/app/views/versions/index.html.erb

@@ -30,7 +30,7 @@

<% issues.each do |issuel| -%>
<tr class="issue hascontextmenu">
<td class="checkbox"><%= check_box_tag 'ids[]', issue.id, false, :id => nil %></td>
N <td class="subject"><%= assignee_avatar (issue.assigned_to, :size => 16, :class => 'icon-gravatar'
) .html_safe + link_to_issue(issue, :project => (@project != issue.project)) %></td>
+ <td class="subject"><%= assignee_avatar (issue.assigned_to, :size => 16, :class => 'icon-gravatar'
) .html_safe + content_tag('span', link_to_issue(issue, :project => (@project != issue.project))) %$></td>
<td class="buttons"><%= link_to_context_menu $%$></td>
</tr>

<% end -%>
diff --git a/app/views/versions/show.html.erb b/app/views/versions/show.html.erb
index 6092c9792..65b82fclb 100644
-—- a/app/views/versions/show.html.erb
+++ b/app/views/versions/show.html.erb
@@ -44,7 +44,7 @@

<%- @issues.each do |issue| -%>
<tr class="issue hascontextmenu">
<td class="checkbox"><%= check_box_tag 'ids[]', issue.id, false, :id => nil %></td>
N <td class="subject"><%= assignee_avatar (issue.assigned_to, :size => 16, :class => 'icon-gravatar').html
_safe + link_to_issue(issue, :project => (@project != issue.project)) %$></td>
+ <td class="subject"><%= assignee_avatar (issue.assigned_to, :size => 16, :class => 'icon-gravatar').html
_safe + content_tag('span', link_to_issue(issue, :project => (@project != issue.project))) %></td>
<td class="buttons"><%= link_to_context_menu $%></td>
</tr>

<% end %>
diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css
index 03fd81441..0e0115d43 100644
-—- a/public/stylesheets/application.css
+++ b/public/stylesheets/application.css
@@ -587,6 +587,8 @@ div#roadmap .wiki hl { font-size: 120%; }
div#roadmap .wiki h2 { font-size: 110%; }
div#roadmap h2, div#roadmap h3 { display: inline; padding-right: 0;}
body.controller-versions.action-show div#roadmap .related-issues {width:70%;}
+body.avatars-on div#roadmap .related-issues td.subject img { position: absolute; }
+body.avatars-on div#roadmap .related-issues td.subject span { padding-left: 20px; display: inline-block; }
div#version-summary { float:right; width:28%; margin-left: 16px; margin-bottom: 16px; background-color: #fff;
}

div#version-summary fieldset { margin-bottom: lem; }

#14 - 2019-05-21 18:15 - Marius BALTEANU
- File 0001-Show-assignee-avatar-in-Roadmap-and-Version.patch added
- File 0002-Add-issue-css_classes-to-issue-rows.patch added
Thanks Takenori for the patch.
What do you think if we render the assignee in its own cell?
#15 - 2019-05-22 07:41 - Takenori TAKAKI
Thanks Marius for new suggestion.
Marius BALTEANU wrote:
What do you think if we render the assignee in its own cell?

I think that the code is cleaner and easier to improve, If we render the assignee in its own cell.
Your patches( #28510#note-14 ) works fine in my environment.

#16 - 2019-05-22 08:09 - Go MAEDA
- Assignee changed from Go MAEDA to Marius BALTEANU
The patch in #28510#note-14 looks nice. Thanks!

But 0002-Add-issue-css_classes-to-issue-rows.patch seems to implement another feature different from this issue. Gravatars are shown correctly,
even without the patch. | think it is better to open a new issue to add CSS classes. What do you think?

#17 - 2019-05-22 08:28 - Marius BALTEANU
Go MAEDA wrote:

The patch in #28510#note-14 looks nice. Thanks!

But 0002-Add-issue-css_classes-to-issue-rows.patch seems to implement another feature different from this issue. Gravatars are shown
correctly, even without the patch. I think it is better to open a new issue to add CSS classes. What do you think?

Agree. Let commit only the first patch which will fix also the error reported in #31391 and I'll open a new issue later with the second patch.

#18 - 2019-05-22 10:33 - Go MAEDA
- Status changed from New to Resolved

- Target version changed from Candidate for next major release to 4.1.0

Committed the patch. Thank you all for working on this feature.

Marius, could you open a new issue for the second patch?

#19 - 2019-05-22 18:22 - Go MAEDA
- Status changed from Resolved to Closed

- Assignee changed from Marius BALTEANU to Go MAEDA

Go MAEDA wrote:

Marius, could you open a new issue for the second patch?

| have confirmed #31424. Thanks.

#20 - 2019-07-18 17:07 - Marius BALTEANU

- Has duplicate Patch #31752: Show assigned people when displaying tickets which are related to a specific versions added
#21 - 2019-08-28 04:47 - Go MAEDA
- Related to Patch #31964: VersionsControllerTest#test _show randomly fails added

#22 - 2019-08-30 02:20 - Go MAEDA
- Category changed from Ul to Roadmap

#23 - 2019-12-06 10:42 - Go MAEDA

- Related to Feature #31704: Show Gravatar icon in issues list. added

Files

0001-show-issue-assignee-on-roadmap.patch 4.41 KB 2018-04-09 Marius BALTEANU
roadmap.png 131 KB 2018-04-09 Marius BALTEANU
version.png 83.1 KB 2018-04-09 Marius BALTEANU
gantt-icons.png 7.47 KB 2019-02-07 Go MAEDA
28510.patch 4.8 KB 2019-05-05 Takenori TAKAKI
version-gravatar-enabled@2x.png 27.7 KB 2019-05-06 Go MAEDA
version-gravatar-disabled@2x.png 27.1 KB 2019-05-06 Go MAEDA
assignee_first.png 91.9 KB 2019-05-06 Marius BALTEANU
0001-Show-assignee-avatar-in-Roadmap-and-Version.patch 3.79 KB 2019-05-18 Marius BALTEANU
uneven-issues@2x.png 10.6 KB 2019-05-20 Go MAEDA
0002-Add-issue-css_classes-to-issue-rows.patch 1.8 KB 2019-05-21 Marius BALTEANU
0001-Show-assignee-avatar-in-Roadmap-and-Version.patch 5.04 KB 2019-05-21 Marius BALTEANU
